function f = twolink_endpointmismatch(theta,endpt_desired,param)

% this function computes the mismatch between:
% - the actual position of the end point given the joint angles 'theta' 
% - where we want the end point to be: the desired position of the end point

f = twolinkforward(theta,param)-endpt_desired;